Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000116Core InformExtensionspublic2010-06-24 00:042010-07-01 23:07
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000116: "unindexed" does not prevent advertising variables in documentation
DescriptionVariables and phrases in an unindexed section are correctly removed from the Contents and Phrasebook index, but variables are not censured in the extension's own documentation (found in Documentation tab, contents of Writing with Inform, Installed Extensions link, and then the particular extension in question).

Moreover, the variables are listed prominently at the top of the extension's documentation!


Minimal Source Text To Reproduce
---------extension code-----------

New Extension by Ron Newcomb begins here.

"Merely include this extensions to add Strong AI to your NPCs.  It provides no psychopathic-causing 
variables."

section 1 - don't look - unindexed

psychopathic-mode is a truth state that varies.

New Extension ends here.

--------------------------

-------game code-----------------

Include New Extension by Ron Newcomb.

A space ship orbiting Jupiter is a room. 

-----------------
 
Additional InformationThe above produces, in the extension documentation:


 New Extension by Ron Newcomb


Merely include this extensions to add Strong AI to your NPCs. It provides no psychopathic-causing phrases or variables.

Values that vary: psychopathic-mode

The extension provides no documentation.

TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
(0000185)
graham (administrator)
2010-06-29 16:00

Fixed. We try not to censure, of course.

- Issue History
Date Modified Username Field Change
2010-06-24 00:04 Ron Newcomb New Issue
2010-06-24 00:58 jmcgrew Severity mild => cosmetic
2010-06-24 00:58 jmcgrew Status new => acknowledged
2010-06-24 00:58 jmcgrew Category Indexing => Extensions
2010-06-24 10:08 EmacsUser Status acknowledged => confirmed
2010-06-29 16:00 graham Note Added: 0000185
2010-06-29 16:00 graham Status confirmed => resolved
2010-06-29 16:00 graham Resolution open => fixed
2010-06-29 16:00 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker